package de.hdm_stuttgart.mi.sd1.test.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.task1._1_EqualValues;
import de.hdm_stuttgart.mi.sd1.task1._2_DifferentValues;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
@SuppressWarnings({"UnusedDeclaration"})
public class Test_2_DifferentlValues extends ExaminationTestDefaults {

  @Test @Marking(points = 4) public void test_100() {
    Assert.assertTrue(_2_DifferentValues.different(1, 2, 3));
    Assert.assertFalse(_2_DifferentValues.different(1, 2, 1));
  }

  @Test @Marking(points = 4) public void test_300() {
    Assert.assertTrue(_2_DifferentValues.different(-1, 0, 1));
    Assert.assertFalse(_2_DifferentValues.different(2, 1, 1));
  }

  @Test @Marking(points = 4) public void test_400() {
    Assert.assertTrue(_2_DifferentValues.different(1111, 2222, -5));
    Assert.assertFalse(_2_DifferentValues.different(1, 1, 2));
  }

  @Test @Marking(points = 4) public void test_500() {
    Assert.assertFalse(_2_DifferentValues.different(1111, 2222, 1111));

    for (int i = 1; i < 1000; i++) {
      final int a = i, b = 2 * i, c = 3 * i;
      Assert.assertTrue("Problem: "+ a + "," + b + "," + c, _2_DifferentValues.different(a, b, c));
      Assert.assertTrue("Problem: "+ b + "," + c + "," + a, _2_DifferentValues.different(b, c, a));
      Assert.assertTrue("Problem: "+ c + "," + a + "," + b, _2_DifferentValues.different(c, a, b));
      Assert.assertTrue("Problem: "+ b + "," + a + "," + c, _2_DifferentValues.different(b, a, c));
      Assert.assertTrue("Problem: "+ a + "," + c + "," + b, _2_DifferentValues.different(a, c, b));
      Assert.assertTrue("Problem: "+ c + "," + b + "," + a, _2_DifferentValues.different(c, b, a));
    }

    Assert.assertFalse(_1_EqualValues.equal(1, 1, 2));
  }
}
