package de.hdm_stuttgart.mi.sd1.task2;

/**
 * Describing a battery's state of charge categories. You may modify this enum.
 */
public enum BatteryState {

    /**
     * State of charge is below 10% of the battery's capacity.
     */
    LOW,
    /**
     * State of charge is in between and including 10% and 90% of the battery's capacity.
     */
    NORMAL,
    /**
     * State of charge is above 90% of the battery's capacity.
     */
    HIGH;
}
