package de.hdm_stuttgart.mi.sd1.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

import static de.hdm_stuttgart.mi.sd1.task1.A_Party.getInvitation;


@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class A_PartyTest extends ExaminationTestDefaults {

    @Test
    @Marking(points = 20)
    public void test_100() {
        Assert.assertFalse( getInvitation(false, false, -10));
        Assert.assertFalse( getInvitation(false, false, 0));
        Assert.assertFalse( getInvitation(false, false, 10));
        Assert.assertFalse( getInvitation(false, false, 19999));
        Assert.assertFalse( getInvitation(false, false, 20000));
        Assert.assertFalse( getInvitation(false, false, 20001));

        Assert.assertFalse( getInvitation(false, true, -10));
        Assert.assertFalse( getInvitation(false, true, 0));
        Assert.assertFalse( getInvitation(false, true, 10));
        Assert.assertFalse( getInvitation(false, true, 19999));
        Assert.assertTrue( getInvitation(false, true, 20000));
        Assert.assertTrue( getInvitation(false, true, 20001));

        Assert.assertTrue( getInvitation(true, false, -10));
        Assert.assertTrue( getInvitation(true, false, 0));
        Assert.assertTrue( getInvitation(true, false, 10));
        Assert.assertTrue( getInvitation(true, false, 19999));
        Assert.assertTrue( getInvitation(true, false, 20000));
        Assert.assertTrue( getInvitation(true, false, 20001));

        Assert.assertTrue( getInvitation(true, true, -10));
        Assert.assertTrue( getInvitation(true, true, 0));
        Assert.assertTrue( getInvitation(true, true, 10));
        Assert.assertTrue( getInvitation(true, true, 19999));
        Assert.assertTrue( getInvitation(true, true, 20000));
        Assert.assertTrue( getInvitation(true, true, 20001));
    }
}
