package de.hdm_stuttgart.mi.sd1.task2;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

import java.io.File;
import java.util.Scanner;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)

public class StringHelperTest extends ExaminationTestDefaults {
    @Test
    @Marking(points = 4)
    public void test_100_void() {
        final Object[] input = {null, new File[0], null, new Scanner(System.in)};
        final String[] expected = {};
        Assert.assertArrayEquals(expected, StringHelper.filterStrings(input));
    }
    @Test
    @Marking(points = 8)
    public void test_200_StringResemblingClasses() {
        final Object[] input = {null, "Eve", new StringBuffer("Adam"), null, new StringBuilder("Hello")};
        final String[] expected = {"Eve", "Adam", "Hello"};
        Assert.assertArrayEquals(expected, StringHelper.filterStrings(input));
    }

    @Test
    @Marking(points = 8)
    public void test_200_mixedClasses() {
        final Object[] input = {null, null, "Eve", -13, false, null, new File("a"), 47.11, null};
        final String[] expected = {"Eve", "-13", "false", "47.11"};
        Assert.assertArrayEquals(expected, StringHelper.filterStrings(input));
    }

}
