package de.hdm_stuttgart.mi.sd1.model;

/**
 * <p>Modellierung der 6 möglichen Ergebnisse eines Wurfs mit einem Würfel</p>
 */
public enum Wuerfel {

    EINS(1),
    ZWEI(2),
    DREI(3),
    VIER(4),
    FUENF(5),
    SECHS(6);

    /**
     * <p>Die Augenzahl des Wurfs.</p>
     */
    public final int wert;

    Wuerfel(final int wert) {
        this.wert = wert;
    }
}
