package de.hdm_stuttgart.mi.sd1;

import de.hdm_stuttgart.mi.exam.unitmarking.RunTests;

import de.hdm_stuttgart.mi.sd1.task1.A_TrafficLightTest;
import de.hdm_stuttgart.mi.sd1.task1.B_MaxTest;
import de.hdm_stuttgart.mi.sd1.task1.C_WebUrlTest;
import de.hdm_stuttgart.mi.sd1.task1.D_ArrayTest;

import de.hdm_stuttgart.mi.sd1.task2.WindForecastTest;

public class ShowReachedPoints {

  /**
   * Revealing total number of reached points from all tasks.
   *
   * @param args Unused
   */
  public static void main(String[] args) {
    RunTests.exec(
            "Task 1",
            A_TrafficLightTest.class, B_MaxTest.class, C_WebUrlTest.class, D_ArrayTest.class
    );
    RunTests.exec("Task 2", WindForecastTest.class);
  }
}
