package de.hdm_stuttgart.mi.sd1.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

import static de.hdm_stuttgart.mi.sd1.task1.A_TrafficLight.stateIsValid;


@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class A_TrafficLightTest extends ExaminationTestDefaults {

    @Test
    @Marking(points = 18)
    public void test_100() {
        Assert.assertFalse( stateIsValid(false, false, false));
        Assert.assertTrue( stateIsValid(false, false, true));
        Assert.assertTrue( stateIsValid(false, true, false));
        Assert.assertFalse( stateIsValid(false, true, true));
        Assert.assertTrue( stateIsValid(true, false, false));
        Assert.assertFalse( stateIsValid(true, false, true));
        Assert.assertTrue( stateIsValid(true, true, false));
        Assert.assertFalse( stateIsValid(true, true, true));
    }
}
